Subject: Re: [patch 2/6] PS3: Remove unused os-area params

From: Geoff Levand <[email-masked]>
Date: Mon, 08 Oct 2007 15:50:29 -0700

Ranulf Doswell wrote:
> On 08/10/2007, *Geoff Levand* <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Ranulf Doswell wrote:
>     >
>     > As these values are correctly populated by the hypervisor from the
>     > preferences on the standard PS3 OS, it is incredibly useful to
>     have this
>     > information available.
> 
>     No, it is not used, and I never used it.
> 
> 
> Maybe I've mistaken how these are used. Having just looked at the source
> again, I see that the saved_params field isn't exported.
> 
> Am I correct in assuming that this information will still be available
> in /dev/ps3flash starting at offset 0x200? That's actually where I'm
> expecting to find the information anyway. I believed your patch was
> changing that behaviour, although I probably didn't study it enough.

Yes, and you can use libps3-utils to get it:

  http://git.kernel.org/?p=linux/kernel/git/geoff/ps3-utils.git

-Geoff